package com.bonus.canteen.core.common.constant;

import com.bonus.canteen.core.common.converter.LeExcelFieldConvertor;
import com.bonus.canteen.core.common.converter.LeExcelFieldEnum;

public enum MachinePayOnlineEnum implements LeExcelFieldEnum<MachinePayOnlineEnum> {
   MACHINE_PAY_ONLINE(1, "在线支付"),
   MACHINE_PAY_NO_ONLINE(2, "离线支付");

   private final Integer key;
   private final String desc;

   private MachinePayOnlineEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public static String getDesc(Integer key) {
      MachinePayOnlineEnum[] var1 = values();
      int var2 = var1.length;

      for(int var3 = 0; var3 < var2; ++var3) {
         MachinePayOnlineEnum temp = var1[var3];
         if (temp.getKey().equals(key)) {
            return temp.getDesc();
         }
      }

      return "";
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

   public static class ExcelConvertor extends LeExcelFieldConvertor<MachinePayOnlineEnum> {
      public ExcelConvertor() {
         super(MachinePayOnlineEnum.class);
      }
   }
}
